ODK API Portal
한국어
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • Deprecated
  • Recent changes
Information
kooli
    sync userpost
Schemas
powered by Zudoku
ODK/V1 API
ODK/V1 API

kooli


sync user

POST
https://odkmedia.io/odk/api/v1
/kooli/sync-user/

sync user › Request Body

OdkV1KooliSyncUserRequest
custom_email
​string · email · maxLength: 254 · required
password
​string · minLength: 5 · maxLength: 60 · required
plan
​string · enum · required
Enum values:
BASIC
PREMIUM
FAMILY
Example: PREMIUM

sync user › Responses

200
OdkV1KooliSyncUserResponse
custom_email
​string · email · maxLength: 254 · required
expire_date
​string | null · date · required
password
​string · minLength: 5 · maxLength: 60 · required
plan
​string · enum · required
Enum values:
BASIC
PREMIUM
FAMILY
Example: PREMIUM
POST/kooli/sync-user/
curl https://odkmedia.io/odk/api/v1/kooli/sync-user \ --request POST \ --header 'Content-Type: application/json' \ --data '{ "custom_email": "1000556614110966901627@odkbox-ondemandkorea.com", "password": 651462458, "plan": "PREMIUM" }'
Example Request Body
{ "custom_email": "1000556614110966901627@odkbox-ondemandkorea.com", "password": 651462458, "plan": "PREMIUM" }
json
Example Responses
{ "custom_email": "1000556614110966901627@odkbox-ondemandkorea.com", "expire_date": "2023-11-04", "password": 651462458, "plan": "PREMIUM" }
json
application/json